from LritReceiver import LritReceiver
import numpy
import logging
import logging.config
import yaml

def configureApp():
   testConfig = dict()
   with open('config.yaml','r') as configFile:
      try:
         config = yaml.load(configFile)
         logging.config.dictConfig(config['logging'])
         testConfig = config['testConfig']
      except yaml.YAMLError as yerr:
         print(yerr)
   logger = logging.getLogger(__name__)
   return logger,testConfig

logger,testConfig = configureApp()

lritReceiver = LritReceiver()
#codewordFile = open("lrit1Min_ascii.txt")
#codewords = [int(x) for x in codewordFile.readlines()]
#print(len(codewords))
#codewords = numpy.fromfile("HamletUpToVCDUOriginal.dat",dtype=numpy.uint8).tolist()
codewords = numpy.fromfile(testConfig['lrit10minCADU'],dtype=numpy.uint8).tolist()

for codeword in [codewords[i:(i+LritReceiver.CADU_CODEWORD_LENGTH)] for i in range(0,len(codewords),LritReceiver.CADU_CODEWORD_LENGTH)]:
   try:
      lritReceiver.rx(codeword)
   except(ValueError):
      break

del lritReceiver
