import abc

##
# @brief "File" abstract class.
# @details An interface that requires a class to implement toFile.
# @author Miguel Dominguez
# @date 2016
class AbstractFile(object):
   __metaclass__ = abc.ABCMeta

   ##
   # @fn toFile
   # @brief Writes data to a file.
   # @warning Assumes the file is complete.
   @abc.abstractmethod
   def toFile(self):
      pass
