##
# @brief HeaderException class.
# @details Superclass that mainly exists to organize all LRIT File-header-
# related exceptions.  Very minimal expansion of the normal Exception class.
# @author Miguel Dominguez
# @date 2016
class HeaderException(Exception):

   ##
   # @fn __init__
   # @brief Constructor.
   # @details Initializes exception and stores header index.
   def __init__(self,headerIndex):
      super(Exception,self).__init__("Inappropriate header index: {0}\n".format(headerIndex))
      self.headerIndex = headerIndex
